{
  name: "Clear Coat",
  rating: 4,
  num: -849,
  flags: {},

  onSetStatus(status, target, source, effect) {
    if (status.id) {
      this.add("-immune", target, "[from] ability: Clear Coat");
      return false;
    }
  },

  onTryAddVolatile(status, target) {
    if (status.id === "flinch") {
      this.add("-immune", target, "[from] ability: Clear Coat");
      return null;
    }
  }
}
